Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class PatternFilter

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableFilter
              ru.biosoft.access.PatternFilter

All Implemented Interfaces:
  Filter

public abstract class PatternFilter
extends MutableFilter

Abstract filter to check some `DataElement` property to correspond regular expression.

Nested Class Summary

Nested classes inherited from class ru.biosoft.access.Filter
`Filter.IncludeAllFilter, Filter.IncludeNoneFilter`

Field Summary
`protected java.lang.String` | `match`
`protected java.lang.String` | `pattern`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface ru.biosoft.access.Filter
`INCLUDE_ALL_FILTER, INCLUDE_NONE_FILTER`

Constructor Summary
`PatternFilter()`

Method Summary
`abstract java.lang.String` | `getCheckedProperty(DataElement de)` This method should be implemented in subclasses to return property value that should match the pattern.
`java.lang.String` | `getPattern()`
`boolean` | `isAcceptable(DataElement de)` Return is data element accepted by filter.
`boolean` | `isAcceptEmpty()`
`void` | `setAcceptEmpty(boolean acceptEmpty)`
`void` | `setPattern(java.lang.String pattern)`

Methods inherited from class ru.biosoft.access.MutableFilter
`isEnabled, setEnabled`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pattern

    protected java.lang.String pattern

### match

    protected java.lang.String match

Constructor Detail

### PatternFilter

    public PatternFilter()

Method Detail

### getCheckedProperty

    public abstract java.lang.String getCheckedProperty(DataElement de)

  This method should be implemented in subclasses to return property value that should match the pattern.

  Parameters:
    `de` - expected `DataElement`

### getPattern

    public java.lang.String getPattern()

### setPattern

    public void setPattern(java.lang.String pattern)

### isAcceptEmpty

    public boolean isAcceptEmpty()

### setAcceptEmpty

    public void setAcceptEmpty(boolean acceptEmpty)

### isAcceptable

    public boolean isAcceptable(DataElement de)

  Description copied from interface: `Filter`
  Return is data element accepted by filter.

  Parameters:
    `de` - Data element.
  Returns:
    `true` - if filter accept specified data element, `false` otherwise.
  See Also:
    `DataElement`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.